import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;

public class Crash_198bcbc3e3ed39fa389b67df928f4ddff45a1e3d {
    static final String base64Bytes = String.join("", "rO0ABXNyABNqYXZhLnV0aWwuQXJyYXlMaXN0eIHSHZnHYZ0DAAFJAARzaXpleHAAAAADdwQAAAADdAAGLkBhLmFhdAADYWFhdAAMYWFhLkBhLkBhLmFheA==");

    public static void main(String[] args) throws Throwable {
        Crash_198bcbc3e3ed39fa389b67df928f4ddff45a1e3d.class.getClassLoader().setDefaultAssertionStatus(true);
        try {
            Method fuzzerInitialize = UserRegistrationFuzzTest.class.getMethod("fuzzerInitialize");
            fuzzerInitialize.invoke(null);
        } catch (NoSuchMethodException ignored) {
            try {
                Method fuzzerInitialize = UserRegistrationFuzzTest.class.getMethod("fuzzerInitialize", String[].class);
                fuzzerInitialize.invoke(null, (Object) args);
            } catch (NoSuchMethodException ignored1) {
            } catch (IllegalAccessException | InvocationTargetException e) {
                e.printStackTrace();
                System.exit(1);
            }
        } catch (IllegalAccessException | InvocationTargetException e) {
            e.printStackTrace();
            System.exit(1);
        }
        com.code_intelligence.jazzer.api.CannedFuzzedDataProvider input = new com.code_intelligence.jazzer.api.CannedFuzzedDataProvider(base64Bytes);
        UserRegistrationFuzzTest.fuzzerTestOneInput(input);
    }
}